nand_scan
Prev | Chapter 10. Public Functions Provided | Next

## Name

nand_scan — [NAND Interface] Scan for the NAND device

## Synopsis

`int nand_scan (` | struct mtd_info * | mtd,
| int | maxchips`)`;

## Arguments

`mtd`

  MTD device structure

`maxchips`

  Number of chips to scan for

## Description

This fills out all the uninitialized function pointers with the defaults. The flash ID is read and the mtd/chip structures are filled with the appropriate values. The mtd->owner field must be set to the module of the caller

Prev | Up | Next
nand_scan_tail | Home | nand_release